# frozen_string_literal: true

require_relative "lib/async_futurize/version"

Gem::Specification.new do |spec|
  spec.name          = "async_futurize"
  spec.version       = AsyncFuturize::VERSION
  spec.authors       = ["Ashesh Tuladhar"]
  spec.email         = ["tuladhar.ashesh10@gmail.com"]

  spec.summary       = "Asynchronously load view components"
  spec.description   = "Asynchronously load view components."
  spec.homepage      = "https://gitlab.com/asheshtuldhar/async_futurize"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.4.0")

  spec.metadata["allowed_push_host"] = "https://rubygems.org/"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://gitlab.com/asheshtuldhar/async_futurize"
  spec.metadata["changelog_uri"] = "https://gitlab.com/asheshtuldhar/async_futurize"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
  spec.add_dependency "rails"
  spec.add_dependency "sass"
  spec.add_dependency "sass-rails"

  # Uncomment to register a new dependency of your gem
  # spec.add_dependency "example-gem", "~> 1.0"

  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html
end
